# Update Profile Picture DELETE /api/v1/iam/user/profile-picture/ Updates the profile picture for the authenticated user. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/iam/user-profile-picture-update ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/iam/user/profile-picture/: delete: operationId: user-profile-picture-destroy summary: Update Profile Picture description: Updates the profile picture for the authenticated user. tags: - subpackage_iam responses: '200': description: Profile picture updated successfully content: application/json: schema: description: Any type '400': description: Invalid input content: application/json: schema: description: Any type '401': description: Unauthorized content: application/json: schema: description: Any type ``` ## SDK Code Examples ```python Profile Picture Update Example import requests url = "https://api.example.com/api/v1/iam/user/profile-picture/" response = requests.delete(url) print(response.json()) ``` ```javascript Profile Picture Update Example const url = 'https://api.example.com/api/v1/iam/user/profile-picture/'; const options = {method: 'DELETE'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Profile Picture Update Example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/iam/user/profile-picture/" req, _ := http.NewRequest("DELETE", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Profile Picture Update Example require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/iam/user/profile-picture/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Delete.new(url) response = http.request(request) puts response.read_body ``` ```java Profile Picture Update Example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.delete("https://api.example.com/api/v1/iam/user/profile-picture/") .asString(); ``` ```php Profile Picture Update Example request('DELETE', 'https://api.example.com/api/v1/iam/user/profile-picture/'); echo $response->getBody(); ``` ```csharp Profile Picture Update Example using RestSharp; var client = new RestClient("https://api.example.com/api/v1/iam/user/profile-picture/"); var request = new RestRequest(Method.DELETE); IRestResponse response = client.Execute(request); ``` ```swift Profile Picture Update Example import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/iam/user/profile-picture/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```